Subject: Some of the keys are not passed correctly

From: Peter <[email-masked]>
Date: Tue, 18 Jul 2017 02:38:25 +0200

Package: x2goserver or x2goclient
Version: 4.0.1.20 (server), 4.1.0.0 (client)

I'm using the standard "pc105" keyboard model and Slovene "si" keyboard
layout at both client and server machines. Almost all of the keys work as
expected while using the x2goclient to establish a connection to the local
desktop. However, there are at least two combinations where I found that
the passed keys are incorrect. These are:

- The key under the ESC (sometimes called the "tilde key") - instead a plus
sign is printed at server side. I think it should be fixed, because some
programs use it for console. I use it for drop-down Terminal.
- The key with less than and greater than symbols (<, >) is one right to
the left shift, left to the Y key (QWERTZ keyboard). This is the "key
difference" between US 104-keys vs. European 105-keys keyboards.

I don't think it is connected with my specific layout, maybe a group of
layouts (German one also comes to mind, from which Slovene one evolved).
Can somebody reproduce it?